import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
 
public class JComboBoxEditable extends JFrame
{
	JComboBox jcmbNames;
 
	public JComboBoxEditable()
	{
		String[] names = { "hemanth", "Shawn", "Hunter", "Undertaker", "Big Show" };
 
		jcmbNames = new JComboBox( names );
		jcmbNames.setEditable( true );
		getContentPane().add(jcmbNames, BorderLayout.NORTH);
 
		JButton jbnOk = new JButton("Ok");
		getContentPane().add(jbnOk, BorderLayout.SOUTH);
		
//		Print Name of the Selected Combo Box Item to Console when OK button is pressed
		jbnOk.addActionListener( new ActionListener()
		{
			public void actionPerformed(ActionEvent e)
			{
				System.out.println( jcmbNames.getSelectedItem() );
			}
		});
		
//		Print Name of the Selected Combo Box Item to Console when Enter is pressed
		
		jcmbNames.addActionListener( new ActionListener()
				{ public void actionPerformed(ActionEvent e)
				  { System.out.println( jcmbNames.getSelectedItem() );
				  }
				});
	}
 
	public static void main(String[] args)
	{
		JComboBoxEditable frame = new JComboBoxEditable();
		frame.setDefaultCloseOperation( EXIT_ON_CLOSE );
		frame.pack();
		frame.setLocationRelativeTo( null );
		frame.setVisible( true );
	 }
}
